package cc.smtweb.framework.core.mvc.controller.binder.bean;

import cc.smtweb.framework.core.mvc.controller.IBeanContext;
import org.apache.commons.lang3.StringUtils;

public class BeanEditor extends AbstractContextEditor {
    @Override
    public Object getValue(String paramName, Class<?> paramType, IBeanContext context) {
        if (StringUtils.isBlank(paramName)) {
            return context.getBean(paramType);
        } else {
            return context.getBean(paramName, paramType);
        }
    }
}
